Categories:
  - Connectivity
  - Security
License: GPL-3.0-only
WebSite: https://www.xbrowsersync.org/
SourceCode: https://github.com/xbrowsersync/app
IssueTracker: https://github.com/xbrowsersync/app/issues
Changelog: https://github.com/xbrowsersync/app/releases

Name: xBrowserSync

RepoType: git
Repo: https://github.com/xbrowsersync/app.git

Builds:
  - versionName: 1.5.2
    versionCode: 15201
    commit: ab954ed6b85e9b1f6545342837e27fe32ca06637
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm
      - npm install -g cordova
    output: build/cordova/platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo -e '\n' 'org.gradle.jvmargs=-Xmx2048m -XX:MaxPermSize=512m' >> ../gradle.properties
      - npm install
      - pushd platform/android/cordova
      - cordova telemetry off
      - cordova prepare
      - popd
      - npm run build:android
      - rm platform/android/cordova/plugins/cordova-plugin-x-socialsharing/src/wp8/Newtonsoft.Json.dll
      - rm platform/android/cordova/node_modules/bplist-parser/test/utf16_chinese.plist
      - rm platform/android/cordova/node_modules/cordova-android/spec/fixtures/org.test.plugins.dummyplugin/src/android/TestLib.jar
      - rm platform/android/cordova/node_modules/cordova-android/spec/fixtures/org.test.plugins.dummyplugin/src/android/TestAar.aar
      - rm platform/android/cordova/node_modules/cordova-android/spec/fixtures/org.test.plugins.dummyplugin/src/android/testaar2.aar
      - rm platform/android/cordova/node_modules/cordova-android/spec/fixtures/org.test.plugins.dummyplugin/src/android/jniLibs/x86/libnative.so
      - rm platform/android/cordova/node_modules/cordova-plugin-x-socialsharing/src/wp8/Newtonsoft.Json.dll
      - rm build/cordova/node_modules/cordova-android/spec/fixtures/org.test.plugins.dummyplugin/src/android/TestLib.jar
      - rm build/cordova/node_modules/cordova-android/spec/fixtures/org.test.plugins.dummyplugin/src/android/TestAar.aar
      - rm build/cordova/node_modules/cordova-android/spec/fixtures/org.test.plugins.dummyplugin/src/android/testaar2.aar
      - rm build/cordova/node_modules/cordova-android/spec/fixtures/org.test.plugins.dummyplugin/src/android/jniLibs/x86/libnative.so
    build:
      - cd build/cordova
      - cordova build android --release

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/xbrowsersync/app/master/platform/android/cordova/config.xml|android-versionCode="(\d+)"|.|version="(.*)"
CurrentVersion: 1.5.2
CurrentVersionCode: 15201
